Next: Blocks, Previous: Specials, Up: Drawables

#### 3.2.6 Sweeps

Syntax:

         sweep { n, T_1, T_2, ..., T_r }[options] swept_object
         sweep { n<>, T_1, T_2, ..., T_r }[options] swept_object

The sweep connects n (or perhaps n+1) copies of swept_object in order to create a new object of higher dimension. The T_i (for i between 1 and r) are transforms. The k'th copy of swept_object is produced by applying the following transform to the original.

         T_1^k then T_2^k then ... then T_r^k

Here T^k means “transform T applied k times.” The original object is the zero'th copy, with k=0 and effectively no transform applied (T^0=I, the identity transform).

The method of connecting the copies depends on the type of swept_object and on whether the closure tag <> is present or not.

An example of a sweep where r=2 is the Mobius figure at More to learn.